aslında çok yeniyim o yüzden yanlış bir bilgiye sahip olabilirim o yüzden kusura bakmayın. catch bloğunda hatanın neden kaynaklandığını belirtebiliyor muyuz? örnekle anlatırsam 2 tane text box'ım var bu ikisini toplayacağım. ilk textbox 10zz değeri girildi gelecek hata da ilk textbox a girilen değer hatalıdır gibi bir uyarı vermek istiyorum.

soruldu: 09 May '12, 06:05

hknkayabas's gravatar image

hknkayabas
111141418
cevap kabul oranı: 0%

değiştirildi: 09 May '12, 06:37

%C3%B6zcanacar's gravatar image

özcanacar ♦♦
17.2k59183183

msdn'in kütüphanesindeki örneği aşağıdaki linkten inceleyebilirsin. "exception handling" için kullanılır try ve catch. ayrıca "finally"de kullanılır bunların yanı sıra

http://msdn.microsoft.com/en-us/library/dszsf989(v=vs.71).aspx

(10 May '12, 14:09) Timur Aykut YILDIRIM Timur%20Aykut%20YILDIRIM's gravatar image

Haklisin Özcan hocam, fark etmemisim, ama hemen hemen ayni yapiyi c# da da yazmak mümkün.

    try {
        ...
    }catch (OptimisticLockException e) {
        // Konsola bir hata mesaji yazar ve hatayi görmezden gelip devam eder.
        Console.WriteLine("Kayit daha önce degistirilmis.");
    } catch(FormatException e){
        // MyException diye yeni bir hata firlatir
        throw new MyException("Girilen deger halai !");
    } catch (Exception ex) {
        // Hata mesajini konsola yazdirir.
        Console.WriteLine(ex.ToString());
    }
permanent link

cevaplandı: 09 May '12, 09:47

mceliksoy's gravatar image

mceliksoy ♦
6.5k84988
cevap kabul oranı: 25%

catch blogunda hatayi yakaladiktan sonra, onunla istedigini yapabilirsin. Istersen görmezden gelirsin, veya Cikti olarak verebilirsin. Eger istersen yeni bir hata firlata bilir yada orjinal hatayi bir üst birimi iletebilirsin. Java exception lar üzere Internette sayisiz kaynak bulmak kolay. kücük bir örnek vermek gerekirse ;

    try {
        ...
    }catch (OptimisticLockException e) {
        // Konsola bir hata mesaji yazar ve hatayi görmezden gelip devam eder.
        System.out.println("Kayit daha önce degistirilmis.");
    } catch(ParseException e){
        // MyException diye yeni bir hata firlatir
        throw new MyException("Girilen deger hatali !");
    } catch (Exception e) {
        // Hata mesajini konsola yazdirir.
        e.printStackTrace();
        return
    }

Umararim faydali olur.

permanent link

cevaplandı: 09 May '12, 09:14

mceliksoy's gravatar image

mceliksoy ♦
6.5k84988
cevap kabul oranı: 25%

değiştirildi: 09 May '12, 09:15

bu Java örnegi oldu, arkadas C# versiyonunu istemisti sanirim ;-)

(09 May '12, 09:20) özcanacar ♦♦ %C3%B6zcanacar's gravatar image

bilgiler için teşekkür ederim. fakat tam cevap alamadım. mceliksoy bey "girilen değer hatalı" diye bir mesaj döndürmüş istediğim nokta atışı aslında şu textbox'a girdiğiniz değer hatalı :)

(10 May '12, 07:44) hknkayabas hknkayabas's gravatar image

Bu taktirde söyle bisey yapmak mümkün ; TextBox in OnExit Event ina (C# da sanirim Leave Event var), kisaca nerzaman bu bilgileri kontrol etmek istiyorsan o Methode un icinde, girilen degerleri kontrol edebilirsin.

Örnegin eger girilen degerin sadece String olmasini sitiyorsan, TextBox a girilen degerin icinde rakam olup olmadigini arastirip, eger varsa bir hata mesaji firlatabilirsiniz. yada bunu ekranda gösterebilirsiniz.

Umarim faydali olur. Eger yapmak istediginizi daha detayli olarak yazar, yada yazdiginiz kodu buraya eklerseniz, daha fazla bilgi vermeye calisirim.

Selamlar

(10 May '12, 08:18) mceliksoy ♦ mceliksoy's gravatar image
Cevabınız
toggle preview

Bu soruyu takip et

E-Posta üzerinden:

Üyelik girişi yaptıktan sonra abonelik işlemlerini yapabilirsiniz

RSS üzerinden:

Cevaplar

Cevaplar ve Yorumlar

Yazı Formatlama

  • *italic* ya da _italic_
  • **bold** ya da __bold__
  • link:[text](http://url.com/ "başlık")
  • resim?![alt text](/path/img.jpg "başlık")
  • liste: 1. Foo 2. Bar
  • temel HTML etiketleri de kullanılabilir

Bu sorunun etiketleri:

×238

Soruldu: 09 May '12, 06:05

Görüntüleme: 1,558 kez

Son güncelleme: 10 May '12, 14:09

powered by BitNami OSQA